org.apache.hadoop.hdfs.client.impl

## Class DfsClientConf

- java.lang.Object
- - org.apache.hadoop.hdfs.client.impl.DfsClientConf

-     public class DfsClientConf
      extends Object

  DFSClient configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DfsClientConf.ShortCircuitConf` Configuration for short-circuit reads.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DfsClientConf(org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.util.DataChecksum` | `createChecksum(org.apache.hadoop.fs.Options.ChecksumOpt userOpt)` create a DataChecksum with the given option.
    `int` | `getBlockWriteLocateFollowingInitialDelayMs()`
    `org.apache.hadoop.fs.Options.ChecksumCombineMode` | `getChecksumCombineMode()`
    `int` | `getChecksumEcSocketTimeout()`
    `static org.apache.hadoop.fs.Options.ChecksumOpt` | `getChecksumOptFromConf(org.apache.hadoop.conf.Configuration conf)`
    `long` | `getDatanodeRestartTimeout()`
    `int` | `getDatanodeSocketWriteTimeout()`
    `boolean` | `getDataTransferTcpNoDelay()`
    `long` | `getDefaultBlockSize()`
    `org.apache.hadoop.fs.Options.ChecksumOpt` | `getDefaultChecksumOpt()`
    `short` | `getDefaultReplication()`
    `long` | `getExcludedNodesCacheExpiry()`
    `int` | `getFailoverSleepBaseMillis()`
    `int` | `getFailoverSleepMaxMillis()`
    `int` | `getHdfsTimeout()`
    `int` | `getHedgedReadThreadpoolSize()`
    `long` | `getHedgedReadThresholdMillis()`
    `int` | `getIoBufferSize()`
    `long` | `getleaseHardLimitPeriod()`
    `int` | `getMaxBlockAcquireFailures()`
    `int` | `getMaxFailoverAttempts()`
    `int` | `getMaxRetryAttempts()`
    `int` | `getNumBlockWriteLocateFollowingRetry()`
    `int` | `getNumBlockWriteRetry()`
    `int` | `getNumCachedConnRetry()`
    `long` | `getPrefetchSize()`
    `long` | `getRefreshReadBlockLocationsMS()`
    `List<Class<? extends ReplicaAccessorBuilder>>` | `getReplicaAccessorBuilderClasses()`
    `int` | `getRetryIntervalForGetLastBlockLength()`
    `int` | `getRetryTimesForGetLastBlockLength()`
    `DfsClientConf.ShortCircuitConf` | `getShortCircuitConf()`
    `long` | `getSlowIoWarningThresholdMs()`
    `int` | `getSocketSendBufferSize()`
    `int` | `getSocketTimeout()`
    `int` | `getStripedReadThreadpoolSize()`
    `String` | `getTaskId()`
    `int` | `getTimeWindow()`
    `org.apache.hadoop.fs.permission.FsPermission` | `getUMask()`
    `ByteArrayManager.Conf` | `getWriteByteArrayManagerConf()`
    `int` | `getWriteMaxPackets()`
    `int` | `getWritePacketSize()`
    `boolean` | `isConnectToDnViaHostname()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DfsClientConf

          public DfsClientConf(org.apache.hadoop.conf.Configuration conf)

  - ### Method Detail

    - #### getChecksumOptFromConf

          public static org.apache.hadoop.fs.Options.ChecksumOpt getChecksumOptFromConf(org.apache.hadoop.conf.Configuration conf)

    - #### createChecksum

          public org.apache.hadoop.util.DataChecksum createChecksum(org.apache.hadoop.fs.Options.ChecksumOpt userOpt)

      create a DataChecksum with the given option.

    - #### getBlockWriteLocateFollowingInitialDelayMs

          public int getBlockWriteLocateFollowingInitialDelayMs()

    - #### getHdfsTimeout

          public int getHdfsTimeout()

      Returns:
        the hdfsTimeout

    - #### getMaxFailoverAttempts

          public int getMaxFailoverAttempts()

      Returns:
        the maxFailoverAttempts

    - #### getMaxRetryAttempts

          public int getMaxRetryAttempts()

      Returns:
        the maxRetryAttempts

    - #### getFailoverSleepBaseMillis

          public int getFailoverSleepBaseMillis()

      Returns:
        the failoverSleepBaseMillis

    - #### getFailoverSleepMaxMillis

          public int getFailoverSleepMaxMillis()

      Returns:
        the failoverSleepMaxMillis

    - #### getMaxBlockAcquireFailures

          public int getMaxBlockAcquireFailures()

      Returns:
        the maxBlockAcquireFailures

    - #### getDatanodeSocketWriteTimeout

          public int getDatanodeSocketWriteTimeout()

      Returns:
        the datanodeSocketWriteTimeout

    - #### getIoBufferSize

          public int getIoBufferSize()

      Returns:
        the ioBufferSize

    - #### getDefaultChecksumOpt

          public org.apache.hadoop.fs.Options.ChecksumOpt getDefaultChecksumOpt()

      Returns:
        the defaultChecksumOpt

    - #### getChecksumCombineMode

          public org.apache.hadoop.fs.Options.ChecksumCombineMode getChecksumCombineMode()

      Returns:
        the checksumCombineMode

    - #### getChecksumEcSocketTimeout

          public int getChecksumEcSocketTimeout()

      Returns:
        the checksumEcSocketTimeout

    - #### getWritePacketSize

          public int getWritePacketSize()

      Returns:
        the writePacketSize

    - #### getWriteMaxPackets

          public int getWriteMaxPackets()

      Returns:
        the writeMaxPackets

    - #### getWriteByteArrayManagerConf

          public ByteArrayManager.Conf getWriteByteArrayManagerConf()

      Returns:
        the writeByteArrayManagerConf

    - #### getDataTransferTcpNoDelay

          public boolean getDataTransferTcpNoDelay()

      Returns:
        whether TCP_NODELAY should be set on client sockets

    - #### getSocketTimeout

          public int getSocketTimeout()

      Returns:
        the socketTimeout

    - #### getSocketSendBufferSize

          public int getSocketSendBufferSize()

      Returns:
        the socketSendBufferSize

    - #### getExcludedNodesCacheExpiry

          public long getExcludedNodesCacheExpiry()

      Returns:
        the excludedNodesCacheExpiry

    - #### getTimeWindow

          public int getTimeWindow()

      Returns:
        the timeWindow

    - #### getNumCachedConnRetry

          public int getNumCachedConnRetry()

      Returns:
        the numCachedConnRetry

    - #### getNumBlockWriteRetry

          public int getNumBlockWriteRetry()

      Returns:
        the numBlockWriteRetry

    - #### getNumBlockWriteLocateFollowingRetry

          public int getNumBlockWriteLocateFollowingRetry()

      Returns:
        the numBlockWriteLocateFollowingRetry

    - #### getDefaultBlockSize

          public long getDefaultBlockSize()

      Returns:
        the defaultBlockSize

    - #### getPrefetchSize

          public long getPrefetchSize()

      Returns:
        the prefetchSize

    - #### getDefaultReplication

          public short getDefaultReplication()

      Returns:
        the defaultReplication

    - #### getTaskId

          public String getTaskId()

      Returns:
        the taskId

    - #### getUMask

          public org.apache.hadoop.fs.permission.FsPermission getUMask()

      Returns:
        the uMask

    - #### isConnectToDnViaHostname

          public boolean isConnectToDnViaHostname()

      Returns:
        the connectToDnViaHostname

    - #### getRetryTimesForGetLastBlockLength

          public int getRetryTimesForGetLastBlockLength()

      Returns:
        the retryTimesForGetLastBlockLength

    - #### getRetryIntervalForGetLastBlockLength

          public int getRetryIntervalForGetLastBlockLength()

      Returns:
        the retryIntervalForGetLastBlockLength

    - #### getDatanodeRestartTimeout

          public long getDatanodeRestartTimeout()

      Returns:
        the datanodeRestartTimeout

    - #### getSlowIoWarningThresholdMs

          public long getSlowIoWarningThresholdMs()

      Returns:
        the slowIoWarningThresholdMs

    - #### getHedgedReadThresholdMillis

          public long getHedgedReadThresholdMillis()

      Returns:
        the hedgedReadThresholdMillis

    - #### getHedgedReadThreadpoolSize

          public int getHedgedReadThreadpoolSize()

      Returns:
        the hedgedReadThreadpoolSize

    - #### getStripedReadThreadpoolSize

          public int getStripedReadThreadpoolSize()

      Returns:
        the stripedReadThreadpoolSize

    - #### getleaseHardLimitPeriod

          public long getleaseHardLimitPeriod()

      Returns:
        the leaseHardLimitPeriod

    - #### getReplicaAccessorBuilderClasses

          public List<Class<? extends ReplicaAccessorBuilder>> getReplicaAccessorBuilderClasses()

      Returns:
        the replicaAccessorBuilderClasses

    - #### getRefreshReadBlockLocationsMS

          public long getRefreshReadBlockLocationsMS()

      Returns:
        the replicaAccessorBuilderClasses

    - #### getShortCircuitConf

          public DfsClientConf.ShortCircuitConf getShortCircuitConf()

      Returns:
        the shortCircuitConf

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.